gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Abstract base class for , and . The widget is an abstract base class for , and . Gtk.Bin
- Method
  System.Void Emits the event on the given item. Emits the event on the given item.
- Method
  System.Void Emits the event on the given item. Emits the event on the given item.
- Method
  System.Void Emits the event on the given item. Emits the event on the given item.
- Constructor
  Internal constructor
  Pointer to the C object.

  This is an internal constructor, and should not be used by user code.

- Event
  System.EventHandler Emitted when the is deselected. Emitted when the is deselected. GLib.Signal("deselect")
- Event
  System.EventHandler Emitted when the is selected. Emitted when the is selected. GLib.Signal("select")
- Event
  System.EventHandler Emitted when the is toggled. Emitted when the is toggled. GLib.Signal("toggle")
- Property
  GLib.GType GType Property. a Returns the native value for .
- Method
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Constructor
  Protected Constructor.
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
  System.Obsolete
- Constructor
  Constructor
- Method
  System.Void `` `` Deletes all widgets constructed from the specified path. a , a factory path to prepend to . May be if starts with a factory path. a , a path